from config import Config
from flask import Flask

class AppSingleton:
    _instance = None

    @staticmethod
    def get_instance():
        if AppSingleton._instance is None:
            AppSingleton._instance = Flask(__name__)
            AppSingleton._instance['JWT_SECRET_KEY'] = Config.JWT_SECRET_KEY
        return AppSingleton._instance[Config.DB_NAME]