from singletons.database_singleton import DatabaseSingleton

class UserRepo:
    db = DatabaseSingleton.get_instance()

    @classmethod
    def insert(cls, user):
        cls.db.user.insert_one(user.__dict__)

    @classmethod
    def find_by_username(cls, username):
        return cls.db.user.find_one({"username": username})